summaryrefslogtreecommitdiffstats
path: root/meta/packages/oh/usbinit/usb-gether
diff options
context:
space:
mode:
Diffstat (limited to 'meta/packages/oh/usbinit/usb-gether')
-rwxr-xr-xmeta/packages/oh/usbinit/usb-gether32
1 files changed, 18 insertions, 14 deletions
diff --git a/meta/packages/oh/usbinit/usb-gether b/meta/packages/oh/usbinit/usb-gether
index 590e77b22a..e80a0bb30e 100755
--- a/meta/packages/oh/usbinit/usb-gether
+++ b/meta/packages/oh/usbinit/usb-gether
@@ -1,19 +1,23 @@
-#!/bin/sh
+#! /bin/sh
+#
+# usb-ether Start up the gadget usb ethernet interface.
+#
case "$1" in
- start)
- /sbin/depmod -a
- /sbin/modprobe g_ether
- ifconfig usb0 192.168.1.120
- ;;
-
- stop)
-
- ;;
-
- *)
- echo "usage: $0 { start | stop }"
- ;;
+ start|"")
+ test "$VERBOSE" != no && echo "Initializing g_ether gadget..."
+ modprobe g_ether
+ ifup usb0
+ ;;
+ stop)
+ test "$VERBOSE" != no && echo "Disabling g_ether..."
+ ifdown usb0
+ rmmod g_ether
+ ;;
+ *)
+ echo "Usage: usb-ether {start|stop}" >&2
+ exit 1
+ ;;
esac
exit 0